Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.frontier
Class HostnameQueueAssignmentPolicy

    java.lang.Object
      org.archive.crawler.frontier.QueueAssignmentPolicy
          org.archive.crawler.frontier.HostnameQueueAssignmentPolicy

Direct Known Subclasses:
  IPQueueAssignmentPolicy

    public class HostnameQueueAssignmentPolicy

extends QueueAssignmentPolicy

QueueAssignmentPolicy based on the hostname:port evident in the given CrawlURI.

Author:
  gojomo

Constructor Summary
`HostnameQueueAssignmentPolicy()`

Method Summary
`java.lang.String` | `getClassKey(CrawlController controller, CandidateURI cauri)` Get the String key (name) of the queue to which the CrawlURI should be assigned.

Methods inherited from class org.archive.crawler.frontier.QueueAssignmentPolicy
`maximumNumberOfKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostnameQueueAssignmentPolicy

    public HostnameQueueAssignmentPolicy()

Method Detail

### getClassKey

    public java.lang.String getClassKey(CrawlController controller,
                                        CandidateURI cauri)

  Description copied from class: `QueueAssignmentPolicy`
  Get the String key (name) of the queue to which the CrawlURI should be assigned. Note that changes to the CrawlURI, or its associated components (such as CrawlServer), may change its queue assignment.

  Specified by:
    `getClassKey` in class `QueueAssignmentPolicy`
  Parameters:
    `controller` - This crawls' controller.
    `cauri` - CandidateURI to calculate class key for.
  Returns:
    the String key of the queue to assign the CrawlURI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.